---
layout: handbook-page-toc
title: Product Management Learning and Development 
description: "This page contains links to internal and external resources that Product Managers at GitLab can use to build their skills."
canonical_path: "/handbook/product/product-manager-role/learning-and-development/"

---

# On this page

{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

<%= partial("handbook/product/product-handbook-links") %>

Welcome to Learning and Development for Product Management at GitLab! This page serves as the content library that feeds [GitLab Learn for Product Management](https://gitlab.edcast.com/channel/gitlab-product-team-learning-hub). You are welcome to explore content here but if you prefer a more modular, personalizable, and trackable portal, please visit GitLab Learn. This page, together with GitLab Learn for Product Management is what we consider and refer to as GitLab's "Product L & D Hub". 

The resources in the Product L & D Hub are meant to support product managers to explore, learn and grow at their own pace. We aim to collect content that spans various skill levels, as well as various levels of depth/commitment. It is recommended that product managers engage with the resources here to help them have a successful journey at GitLab and in their product career as a whole. 

Most of the resources here are free but any content requiring payment [can be reimbursed following the GitLab reimbursement policies](https://about.gitlab.com/handbook/finance/expenses/#work-related-online-courses-and-professional-development-certifications).

Over time, we will add content to directly support GitLab's product management [competencies](/handbook/product/product-manager-role/product-CDF-competencies/), [CDF](/handbook/product/product-manager-role/product-CDF-competencies/) and [product development flow](/handbook/product-development-flow/). We understand that the evolving product management space requires continuous learning, and GitLab is committed to providing the time needed for in-depth learning too as part of your working time. You are encouraged to ask your manager to help you carve out time for Learning and Development. 

## Recommended books and talks for all GitLab product managers

These books are highly recommended to be read by every product manager at GitLab:

- **[Marty Cagan: Inspired: How to Create Tech Products Customers Love](https://www.amazon.com/INSPIRED-Create-Tech-Products-Customers-ebook/dp/B077NRB36N)** <br>
Provides a general overview of Product Management <br>

<iframe src="https://player.vimeo.com/video/134431731" width="560" height="315" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen></iframe>

- **[Melissa Perry: Escaping the Build Trap](https://www.amazon.com/Escaping-Build-Trap-Effective-Management/dp/149197379X/)** <br>
Describes how to build and operate a successful product team <br>

<iframe src="https://player.vimeo.com/video/224453335" width="560" height="315" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" allowfullscreen></iframe> 

- **[Eric Ries: The Lean Startup](https://www.amazon.com/Lean-Startup-Entrepreneurs-Continuous-Innovation/dp/0307887898)** <br>
Discusses how to leverage efficiency to achieve optimal outcomes. <br> 

<iframe width="560" height="315" src="https://www.youtube.com/embed/RSaIOCHbuYw" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

## Supporting materials for GitLab specific [product manager competencies](/handbook/product/product-manager-role/product-CDF-competencies/)

### Opportunity Canvases 

GitLab's Chief Product Officer shares insights on what makes an opportunity canvas successful in a 10 minute video:


<iframe width="560" height="315" src="https://www.youtube.com/embed/f8k1jWejojA" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

####  Overview and Example Canvases by Stage Maturity

* [Opportunity Canvas Overview](https://about.gitlab.com/handbook/product/product-processes/#opportunity-canvas)
* Minimal: [Translating alerts into actionable incidents is challenging](https://docs.google.com/document/d/1-sJoVFr3ND_-N3EtXUNYF6oVROfhE4rcjVqpnQd5N6U/edit#heading=h.bjrjegyjyv9f)
* Complete: [Remote and Virtual Package Repositories](https://docs.google.com/document/d/1HxStNvY5i4Qn6c_AvhsKNV2WOEqbAivEjZqFPwhKej8/edit#heading=h.4mt5fmtn0ax4)
* Loveable: [Plan: Project Management, Fix Groups and Projects](https://docs.google.com/document/d/1a2xuEMAsWzPK-cb_wnS9DWh9YHXZLs34Lp7jdetODR4/edit#heading=h.4mt5fmtn0ax4)

##### "Lite" Opportunity Canvas

* [When and how to use an Opportunity Canvas "Lite"](https://about.gitlab.com/handbook/product/product-processes/#opportunity-canvas-lite)
* [Example: Opportunity Canvas Lite: Parent-child pipelines default behavior change](https://gitlab.com/gitlab-com/Product/-/issues/2030)

##### Example Videos of Canvas Reviews

- [Opportunity Canvas Unfiltered Playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqR2kan56Ae7Di70WF3tpZJ)

### Prioritization at GitLab 

GitLab's Product and Engineering leaders discuss a change to our model of prioritization where for some teams we are allocating a percentage of capacity for making engineering improvements focused on medium to long term security, reliability, performance areas. 

<iframe width="560" height="315" src="https://youtube.com/embed/KfIH61C0XiU" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

<br/>
Nicole shares her approach towards prioritization of tech debt with her Engineering counterparts in these discussions with Mike and Olivier.
<br/><br/>

<iframe width="560" height="315" src="https://youtube.com/embed/ofPUh5Um1Pk" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

<br/><br/>

<iframe width="560" height="315" src="https://youtube.com/embed/oRLrNkyrEfw" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

James discusses how he balances Error Budgets, Tech Debt, and other priorities with Engineering Counterparts, Scott. 
<br/><br/>
<iframe width="560" height="315" src="https://youtube.com/embed/wI8yNFW6b8A" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

Fabian and Nick discuss PM/EM collaboration on the Geo team and the importance of empathy building between PMs and EMs. 
<br/><br/>
<iframe width="560" height="315" src="https://www.youtube.com/embed/Pz5XneVeyu0" title="YouTube video player" frameborder="0" allow="autoplay; encrypted-media;" allowfullscreen></iframe>

#### General Prioritization Guidance

- [The GitLab prioritization guidelines table](https://about.gitlab.com/handbook/product/product-processes/#prioritization)

## Product Management Peer Mentorship Program

### Overview

We have a team of very talented Product Managers whom are all interested in up-leveling their leadership skills whether that be to Principal PM or into People Management. An important skill for either track is the ability to coach and mentor others.
Right now, an overwhelming majority of the team is at the Senior level. In a traditional mentor program, people are assigned the role of mentor and mentee. Since most people are looking to mentor others, we have too many mentors and not enough mentees

In addition to growing leadership/mentoring skills, PMs also have other areas that they need coaching on, such as:

- Customer discovery
- Iteration & efficiency in the build track
- Setting and evolving Performance Indicators
- Sisense skills
- Communicating vision and roadmap with well articulated prioritization

### Proposal

Establish a Peer mentorship program where PMs are paired based on respective strengths and areas that need growth. PMs can coach each other on the skill they are respectively strong in.

This is going to require PMs to volunteer as participants. Management will need to anonymously gather strengths and weaknesses for participants and work together to create pairs.

### Pilot 

We set up pairs between PMs who have volunteered and run an 8 week pilot where PMs meet each week. GMPs can assess skill development over the course of the pilot as a potential measure of success.

The pilot will run during FY22Q3. This gives us two months to prepare by gathering volunteers, assessing skills, setting up pairs for the pilot, and running a crash course in coaching & mentoring. The pilot will run for the first two months of Q3 and we will reflect during the final month to allow for program adjustments and continuation.

Following a retro on the pilot we can decide to continue it in rotations moving forward.

We will be planning the Pilot Program in this [epic](https://gitlab.com/groups/gitlab-com/-/epics/1546).

### Using the Career Development Framework during Peer Mentorship 


Product Managers are all evaluated using the [CDF](https://about.gitlab.com/handbook/product/product-manager-role/product-CDF-competencies/) and it can be a great tool to use as a way to discuss how each person is performing in context to the CDF. If you are looking to improve in a certain area of your CDF, the peer mentorship space can be a great place to seek mentorship. Please note that CDFs are confidential documents that are kept between team members and their management lines, however, for the purpose of mentorship, team members can choose to share relevant portions. If any feedback about the CDF arises, please discuss the feedback with your manager or open an MR to the [CDF handbook page](https://about.gitlab.com/handbook/product/product-manager-role/product-CDF-competencies/) and tag `gl-product-leadership` for review.

## General Product Management learning content 
[This content is also available in a trackable format in GitLab Learn](https://gitlab.edcast.com/channel/gitlab-product-team-learning-hub). 

This content is divided into five key competencies for Product Managers. 

<hr>

**💡 [Discovery](#discovery) &nbsp; &nbsp; &nbsp;   🚀 [Delivery](#delivery)  &nbsp; &nbsp; &nbsp;  📈 [Business Acumen](#business-acumen)  &nbsp; &nbsp; &nbsp; 💬 [Communication](#communication)  &nbsp; &nbsp; &nbsp;   🤝 [Team Management](#team-management)**

<hr>

## <a id="discovery"></a>💡 Discovery

---

### 💡 User research

##### Quick reads and videos

- [Paul Adams: Great PMs don't spend their time on solutions](https://www.intercom.com/blog/great-product-managers-dont-spend-time-on-solutions/)

##### Deeper dive

- [Introduction to Modern Product Discovery](https://medium.com/productized-blog/an-introduction-to-modern-product-discovery-by-teresa-torres-productizedconf-bb2703b01fdb) 
- [Just Enough Research](https://vimeo.com/129039134) (59 min video)

##### Online courses 

- [Nielson Norman Group Trainings and Events](https://www.nngroup.com/training/)


##### Books

- [Steve Krug: Rocket Surgery Made Easy: The Do-It-Yourself Guide to Finding and Fixing Usability Problems](https://www.amazon.com/Rocket-Surgery-Made-Easy-Yourself/dp/0321657292)
- [Kevin Simler & Robin Hanson: The Elephant in the Brain: Hidden Motives in Everyday Life](https://www.amazon.com/Elephant-Brain-Hidden-Motives-Everyday/dp/0190495995)
- [Daniel Kahneman: Thinking, Fast and Slow](https://www.amazon.com/Thinking-Fast-Slow-Daniel-Kahneman/dp/0374533555)
- [Erika Hall: Just Enough Research](https://abookapart.com/products/just-enough-research)

### 💡 Customer interviewing

##### Quick reads and videos

- ['Get in the Van' and Other Tips for Getting Meaningful Customer Feedback](https://review.firstround.com/the-power-of-interviewing-customers-the-right-way-from-twitters-ex-vp-product)
- [The Ultimate List of Customer Development Questions](https://mfishbein.com/the-ultimate-list-of-customer-development-questions/)
- [Finding, preparing for, and nagivating Customer Calls as a Product Manager at GitLab](https://www.youtube.com/watch?v=HyVR_ybRkCY)

##### Deeper dive

- [Teresa Torres: Adopting Continuous Product Discovery Practices](https://youtu.be/a2HidFrzYIA) 
- [Product Talk: Customer Interviews Articles](https://www.producttalk.org/category/customer-interviews/)

##### Online courses 

- [Continuous Interviewing by Product Talk](https://learn.producttalk.org/p/continuous-interviewing)

##### Books

- [Interviewing for Research by Andrew Travers](https://trvrs.co/book/)
- [Talking to Humans](https://www.amazon.co.uk/Talking-Humans-Success-understanding-customers-ebook/dp/B00NSUEUL4) ([alternate free pdf](https://s3.amazonaws.com/TalkingtoHumans/Talking+to+Humans.pdf))
- [The Mom Test: How to talk to customers & learn if your business is a good idea when everyone is lying to you](https://www.amazon.com/Mom-Test-customers-business-everyone/dp/1492180742)
- [Interviewing Users: How to Uncover Compelling Insights](https://www.amazon.com/Interviewing-Users-Uncover-Compelling-Insights/dp/193382011X)

### 💡 Jobs to be done 

##### Quick reads and videos

- [Gitlab Jobs to be Done (JTBD) Overview](https://about.gitlab.com/handbook/engineering/ux/jobs-to-be-done/)
- [Clayton Christensen - Understanding the Job](https://www.youtube.com/watch?v=sfGtw2C95Ms) (5 min video)
- [Know Your Customers’ “Jobs to Be Done”](https://hbr.org/2016/09/know-your-customers-jobs-to-be-done)


##### Deeper dive

- [GitLab Jobs to be Done (JTBD) Deep Dive](https://about.gitlab.com/handbook/engineering/ux/jobs-to-be-done/deep-dive/)
- [Bob Moesta & Chris Spiek - Uncovering the Jobs to be Done](https://businessofsoftware.org/2014/06/bos-2013-bob-moesta-and-chris-spiek-uncovering-the-jobs-to-be-done/) (57 min video)
- [Tony Ulwick - Customer Centered Innovation](https://businessofsoftware.org/2015/08/tony-ulwick/) (57 min video)
- [Xavier Russo - A step-by-step guide to using Outcome Driven Innovataion](https://medium.com/envato/a-step-by-step-guide-to-using-outcome-driven-innovation-odi-for-a-new-product-ded320f49acb)

##### Online courses 

- [Mastering Jobs-To-Be-Done Interviews](https://learn.jobstobedone.org/courses/JTBDinterviews)

##### Books

- [Clayton M. Christensen et al: Competing Against Luck](https://www.amazon.com/Competing-Against-Luck-Innovation-Customer-ebook/dp/B01BBPZIHM/)
- [Intercom on Jobs-to-be-Done](https://www.intercom.com/resources/books/intercom-jobs-to-be-done) (free ebook download)

### 💡 Lean product development

##### Quick reads and videos

- [How to Build a Minimum Loveable Product](https://medium.com/the-happy-startup-school/beyond-mvp-10-steps-to-make-your-product-minimum-loveable-51800164ae0c#.56uv0dydd)


##### Deeper dive

- [Melissa Perri - Lean Product Management](https://vimeo.com/122742946) (42 min video)
- [GitLab Remote Design Sprint guidelines](/handbook/engineering/ux/design-sprint/)
- [How to Run Amazing Remote Design Sprints!](https://www.youtube.com/watch?v=IFHfsRNTGCM) (60 min video)

##### Online courses 

- [LinkedIn Learning: UX Research: Lean Experimentation](https://www.linkedin.com/learning/ux-research-lean-experimentation/)

##### Books 
- [Eric Ries: The Lean Startup](https://www.amazon.com/Lean-Startup-Entrepreneurs-Continuous-Innovation/dp/0307887898)
- [Jake Knapp: Sprint: How to Solve Big Problems and Test New Ideas in Just Five Days](https://www.amazon.com/Sprint-Solve-Problems-Test-Ideas/dp/1442397683)
- [Ash Maurya: Running Lean: Iterate from Plan A to a Plan That Works](https://www.amazon.com/Running-Lean-Iterate-Plan-Works/dp/1449305172)

### 💡 Growth, Product-led Growth, and Experimentation 

##### Quick reads and videos

- [How to launch product experiments at GitLab](https://www.youtube.com/watch?v=rEHxAfxr9eU) (30 min video)
- [GitLab Growth Team Coffee & Learn Sessions](https://about.gitlab.com/direction/growth/#growth-coffee--learn-sessions)
- [Product Managers: It's Time to Move from Whole Product to Product-led Growth](https://expand.openviewpartners.com/product-managers-its-time-to-move-from-whole-product-to-product-based-go-to-market-304467093357#.1euz7drsb)
- [10 Statistics Traps in A/B Testing: The Ultimate Guide for Optimizers](https://cxl.com/blog/testing-statistics-mistakes/)
- [5 Common Threats to Your A/B Test’s Validity](https://instapage.com/blog/validating-ab-tests)
- [Matching Price to Value: 3 Lessons in Monetization from Menlo Ventures](https://www.youtube.com/watch?v=hGUEDKaTFXw) (30 min video)

##### Deeper dive

- [Product Led Growth Resources](https://openviewpartners.com/product-led-growth-resources/)
- [GrowthHackers: Growth University](https://university.growthhackers.com/)
- [Product-led Growth Collective](https://www.productled.org/)

##### Online courses 

- [Reforge](https://www.reforge.com/all-programs)

##### Books

- [Product-Led Growth: How to Build a Product That Sells Itself](https://www.amazon.com/Product-Led-Growth-Build-Product-Itself-ebook/dp/B07P6288ZF/)
- [Sean Ellis: Hacking Growth: How Today's Fastest-Growing Companies Drive Breakout Success](https://www.amazon.com/Hacking-Growth-Fastest-Growing-Companies-Breakout/dp/045149721X)
- [Nir Eyal: Hooked: How to Build Habit-Forming Products](https://www.amazon.com/Hooked-How-Build-Habit-Forming-Products/dp/1591847788)
- [Trusworthy Online Controlled Experiments](https://www.amazon.com/Trustworthy-Online-Controlled-Experiments-Practical/dp/1108724264)
- [Intercom: The Growth Handbook](https://www.intercom.com/resources/books/growth-handbook) (free ebook download)


### 💡 Design


##### Quick reads and videos

- [Julie Zhuo: How to Work with Designers](https://medium.com/the-year-of-the-looking-glass/how-to-work-with-designers-6c975dede146#.q68swu2de)
- [Jess Eddy: What do designers really want from product managers?](https://uxdesign.cc/what-do-designers-really-want-from-product-managers-9c0e14993a8)
- [Jared Spool: Using the Kano Model to Build Delightful UX](https://youtu.be/ewpz2gR_oJQ) (45 min video)
- [GitLab Kano Model and Feature Prioritization Survey](https://about.gitlab.com/handbook/engineering/ux/ux-research-training/kano-model/)

##### Deeper dive

- [Leaders of Awesomeness](https://leaders.centercentre.com/) 
- [The Complete Guide to the Kano Model](https://foldingburritos.com/kano-model/)

##### Online courses 

- [LinkedIn Learning: Learning Design Thinking](https://www.linkedin.com/learning/learning-design-thinking-lead-change-in-your-organization)
- [LinkedIn Learning: Accessibility for Web Design](https://www.linkedin.com/learning/accessibility-for-web-design/welcome?u=2255073)
- [LinkedIn Learning: Dieter Rams: Principles of Good Design](https://www.linkedin.com/learning/dieter-rams-principles-of-good-design)

##### Books

- [Don Norman: The Design of Everyday Things](https://www.amazon.com/Design-Everyday-Things-Revised-Expanded/dp/0465050654)
- [Steve Krug: Don't Make Me Think](https://www.amazon.com/Dont-Make-Think-Revisited-Usability/dp/0321965515)
- [Sketching User Experiences: The Workbook](https://www.amazon.com/Sketching-User-Experiences-Saul-Greenberg/dp/0123819598)
- [The User Experience Team of One: A Research and Design Survival Guide](https://www.amazon.com/User-Experience-Team-One-Research/dp/1933820187)
- [Jeff Gothelf: Lean UX](https://www.amazon.com/Lean-UX-Designing-Great-Products-ebook/dp/B01LYGQ6CH/)


<br>
<br>

## <a id="delivery"></a> 🚀 Delivery

---

### 🚀 User stories

##### Quick reads and videos

- [How to split a user story](https://agileforall.com/how-to-split-a-user-story/)
- [Replacing The User Story With The Job Story](https://jtbd.info/replacing-the-user-story-with-the-job-story-af7cdee10c27)

##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

_Please contribute your favorite resources here_

##### Books

- [Jeff Patton: User Story Mapping: Discover the Whole Story, Build the Right Product](https://www.amazon.com/User-Story-Mapping-Discover-Product/dp/1491904909)

### 🚀 Backlog management

##### Quick reads and videos

- [Brandon Chu: Ruthless Prioritization](https://blackboxofpm.com/ruthless-prioritization-e4256e3520a9)
- [Sean McBride: RICE: Simple prioritization for product managers](https://www.intercom.com/blog/rice-simple-prioritization-for-product-managers/)
- [Ash Maurya: Love the Problem, Not Your Solution](https://blog.leanstack.com/love-the-problem-not-your-solution/)
- [Launch mode vs iterate mode](https://www.intercom.com/blog/launch-mode-vs-iterate-mode/)

##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

_Please contribute your favorite resources here_

##### Books 

- [Donald G. Reinertsen: The Principles of Product Development Flow](https://www.amazon.com/Principles-Product-Development-Flow-Generation/dp/1935401009)

### 🚀 Working with Engineering 

##### Quick reads and videos

- [The Engineering Manager: The relationship with Product](https://www.theengineeringmanager.com/growth/the-engineering-product-relationship/) 
- [Visha Soni: A Practical Prioritization Approach for Technical Debt](https://productcoalition.com/a-practical-prioritization-approach-for-technical-debt-f1eb31b8e409)
- [Rajat Harlalka: Why You Should Invest in Relationships With Your Engineering Team](https://www.mindtheproduct.com/why-you-should-invest-in-relationships-with-your-engineering-team/)
- [PM & EM: Rules of Engagement](https://segment.com/blog/product-manager-engineering-manager-rules-of-engagement/)


##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

_Please contribute your favorite resources here_

##### Books

_Please contribute your favorite resources here_
<br>
<br>

### 👣 Iteration

##### Quick reads and videos

- What does [Iteration](https://about.gitlab.com/handbook/values/#iteration) mean for GitLab?
- What is a [Minimal Viable Change](https://about.gitlab.com/handbook/product/product-principles/#sts=The%20Minimal%20Viable%20Change%20(MVC))?
- [Product Processes: Iteration Strategies](https://about.gitlab.com/handbook/product/product-processes/#iteration-strategies)
- A [video by Sid and Leif on iteration](https://www.youtube.com/watch?v=tPTweQlBS54) (24 min video)
- [Product Leadership discusses examples of iteration that they've learned from](https://www.youtube.com/watch?v=tPTweQlBS54) (19 min video) 
- [Des Traynor: Start with a cupcake](https://www.intercom.com/blog/start-with-a-cupcake/)

##### Deeper dive

- Join the iteration office hours GitLab Team Meeting: [Calendar](https://calendar.google.com/calendar/embed?src=gitlab.com_6ekbk8ffqnkus3qpj9o26rqejg%40group.calendar.google.com&ctz=America%2FLos_Angeles)
- Watch the videos from [the Iteration playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqJOf21O9cbAMxtpUpdLFoZ)

## <a id="business-acumen"></a> 📈 Business acumen

---

### 📈 Product strategy

##### Quick reads and videos

- [Marty Cagan: Vision Vs. Strategy](https://svpg.com/vision-vs-strategy/)
- [Des Traynor: Product strategy means saying no](https://www.intercom.com/blog/product-strategy-means-saying-no/)
- [Ken Norton's Discipline of No](https://mixpanel.com/blog/learning-to-say-no-with-ken-norton/)

##### Deeper dive

- [Des Traynor: Product Strategy Revisited](https://businessofsoftware.org/2014/12/product-strategy-saying-part-2-des-traynor-bos-usa-2014/) (54 min video)

##### Online courses 

Please contribute your favorite resources here

##### Books

- [Crossing the Chasm, 3rd Edition: Marketing and Selling Disruptive Products to Mainstream Customers](https://www.amazon.com/Crossing-Chasm-3rd-Disruptive-Mainstream-dp-0062292986/dp/0062292986)
- [Testing Business Ideas: A Field Guide for Rapid Experimentation](https://www.amazon.com/Rapid-Testing-Business-Ideas-Customer/dp/1119551447)

### 📈 Competitive analysis

##### Quick reads and videos

- [Stop Ignoring Your Competitors...](https://producthabits.com/stop-ignoring-competitors/)
- [The Startup Chat: Episode 319: How To Do Competitor Analysis](https://thestartupchat.com/ep319/)

##### Deeper dive

- [SaaSFest Keynote: Building a Saas Company Isn't What it Used to Be](https://www.priceintelligently.com/blog/saasfest-keynote-speaker-hiten-shah-building-a-saas-business)

##### Online courses 

_Please contribute your favorite resources here_

##### Books

_Please contribute your favorite resources here_

### 📈 KPIs, Metrics, and OKRs

##### Quick reads and videos

- [John Doerr: Why the secret to success is setting the right goals](https://www.youtube.com/watch?v=L4N1q4RNi9I) (5 min video)
- [David Skok: SaaS Metrics 2.0 – A Guide to Measuring and Improving what Matters](https://www.forentrepreneurs.com/saas-metrics-2/)
- [Benefits of OKRs](https://www.whatmatters.com/faqs/benefits-of-okrs/)
- [Getting Started with OKRs](https://learn.ally.io/path/employee/getting-started-with-okrs)
- [Writing Basic OKRs](https://learn.ally.io/writing-basic-okrs)
- [Gitlab - How to write OKRs](https://about.gitlab.com/handbook/product/product-okrs/#how-to-write-okrs)
- [Ally for OKRs - Overview for Product](https://www.youtube.com/watch?v=hP9yk_PSj2k&feature=youtu.be) (10 min video)

##### Deeper dive

- [Financial Modeling for Product Managers](https://tpgblog.com/2015/05/04/product-financial-modeling/) (60 min video)

##### Online courses 

- [LinkedIn Learning: SQL Essential Training](https://www.linkedin.com/learning/sql-essential-training-3/)

##### Books

- [Christina Wodtke: Radical Focus: Achieving Your Most Important Goals with Objectives and Key Results ( OKRs )](https://www.amazon.com/dp/B091ZL2SRL)
- [Douglas W. Hubbard: How to Measure Anything: Finding the Value of Intagibles in Business](https://www.amazon.com/How-Measure-Anything-Intangibles-Business-ebook/dp/B00INUYS2U)
- [Measuring the User Experience: Collecting, Analyzing, and Presenting Usability Metrics](https://www.amazon.com/Measuring-User-Experience-Interactive-Technologies/dp/0124157815)

<br>
<br>

## <a id="communication"></a> 💬 Communication

---

### 💬 Relationships with customers

##### Quick reads and videos

- [How can I say this? Podcast](https://open.spotify.com/show/55AaTIqnERpvxwTVMxToC5)
- [Finding, preparing for, and nagivating Customer Calls as a Product Manager at GitLab](https://www.youtube.com/watch?v=HyVR_ybRkCY)

##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

- [LinkedIn Learning: Advanced Business Development Communication & Negotiation](https://www.linkedin.com/learning/advanced-business-development-communication-and-negotiation/taking-it-to-the-next-level)

##### Books

- [Building a Story brand](https://www.amazon.com/Building-StoryBrand-Clarify-Message-Customers/dp/0718033329/ref=sr_1_11?)

### 💬 Communicating to inspire, align, and activate 

##### Quick reads and videos

- [Paul Graham: Write Simply](http://paulgraham.com/simply.html)
- [Mastering communication: a product manager’s superpower](https://miro.com/blog/communication-product-managers-product-school/)
- [Connor Murphy on how his team uses a combination of GitLab, Loom, Notion, and Figma to collaborate async between PM, Design, and Engineering](https://www.loom.com/share/17677053ff7d4eeba643eaf194c0b700) (5 min video)

##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

- [LinkedIn Learning: Communication for Product Managers](https://www.linkedin.com/learning/communication-for-product-managers/)

##### Books

_Please contribute your favorite resources here_

### 💬 Presentations, prepared and adhoc

##### Quick reads and videos

_Please contribute your favorite resources here_

##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

- [LinkedIn Learning: Communicating for Product Managers](https://www.linkedin.com/learning/communication-for-product-managers/your-role-as-diplomat-of-the-product-team?u=2255073)

##### Books

_Please contribute your favorite resources here_

##### Examples

- [Example CAB Presentation](https://docs.google.com/presentation/d/11YI6zj3qMeTwXTmdovuZLEM2i3D-eNMdNXcQgc9coc8/edit#slide=id.g85b09e34a4_0_5)

<br>
<br>

## <a id="team-management"></a> 🤝 Team management 

---

### 🤝 Stakeholder management

##### Quick reads and videos

_Please contribute your favorite resources here_

##### Deeper dive

- [Rosemary King: Stakeholders, let 'em in](https://www.mindtheproduct.com/stakeholders-building-an-open-door-culture/) (20 min video)

##### Online courses 

- [Managing Project Stakeholders](https://www.linkedin.com/learning/managing-project-stakeholders-2?u=2255073) (LinkedIn Learning course)

##### Books

_Please contribute your favorite resources here_

### 🤝 Cross-functional team management

##### Quick reads and videos

- [HBR: What cross functional teams need to succeed](https://hbr.org/tip/2015/10/what-cross-functional-teams-need-to-succeed)
- [HBR: High performing teams need psychological safety](https://hbr.org/2017/08/high-performing-teams-need-psychological-safety-heres-how-to-create-it)

##### Deeper dive

_Please contribute your favorite resources here_

##### Online courses 

- [LinkedIn Learning: Cross Functional Team Management](https://www.linkedin.com/learning/managing-a-cross-functional-team/welcome)

##### Books

- [Dare to Lead](https://www.amazon.com/Dare-Lead-Brave-Conversations-Hearts/dp/0399592520)
- [Radical Candor](https://www.amazon.com/dp/1529038340/ref=cm_sw_em_r_mt_dp_JW4418H1Q2BQ2MGV62WN)

### 🤝 Direct team management

##### New Manager Buddy Program

- For new Group Managers at GitLab, we have an buddy program that matches the new Group Manager with a Senior leader (Director or above) in the Product team that is not in their direct reporting chain. This is an optional program to help new managers understand GitLab management process, find a sounding board to discuss challenging situations in a safe space without judgement, and generally learn management techniques. Although this is targeted to new managers (typically first time managers), it is open to those who are becoming a manager for the first time at GitLab but have been managers elsewhere.


##### Quick reads and videos

- [The New Manager Death Spiral](https://randsinrepose.com/archives/the-new-manager-death-spiral/)
- [How to Improve Your Emotional Intelligence to Become a Better Leader](https://getlighthouse.com/blog/how-to-improve-emotional-intelligence/)

##### Deeper dive

- [The New Manager Death Spiral](https://www.youtube.com/watch?v=pAbU3WJ-NBw) (30 min video)

##### Online courses 

- [LinkedIn Learning: Building High Performing Teams](https://www.linkedin.com/learning/building-high-performance-teams/building-a-high-performing-team)

##### Books

- [Kim Scott: Radical Candor](https://www.amazon.com/Radical-Candor-Kim-Scott/dp/B01KTIEFEE)
- [Michael Lopp: Managing Humans](https://www.amazon.com/Managing-Humans-Humorous-Software-Engineering-ebook/dp/B01J53IE1O/)
- [Julie Zhuo: The Making of a Manager: What to Do When Everyone Looks to You](https://www.amazon.com/Making-Manager-What-Everyone-Looks-ebook/dp/B079WNPRL2/)
- [First Round Essentials: Management](https://books.firstround.com/management/) (free ebook download)

### 🤝 Leadership and influence

##### Quick reads and videos

- [Start with why -- how great leaders inspire action](https://www.youtube.com/watch?v=u4ZoJKF_VuA) (18 min video)
- [Leadership Biz Cafe Podcast](https://www.tanveernaseer.com/lbc/)

##### Deeper dive

- [LinkedIn Learning: Executive Leadership](https://www.linkedin.com/learning/executive-leadership/take-action-to-lead) (1h 19m total)
- [LinkedIn Learning: Being a Good Mentor](https://www.linkedin.com/learning/being-a-good-mentor/) (1 hour total)

##### Online courses 

- [LinkedIn Learning Path: Strategic Leadership](https://www.linkedin.com/learning/paths/develop-your-strategic-planning-skills)

##### Books

- [Start with Why: How Great Leaders Inspire Everyone to Take Action](https://www.amazon.com/Start-Why-Leaders-Inspire-Everyone/dp/1591846447)
- [Trillion Dollar Coach: The Leadership Playbook of Silicon Valley's Bill Campbell](https://www.amazon.com/Trillion-Dollar-Coach-Leadership-Playbook/dp/0062839268)
- [Extreme Ownership: How U.S. Navy SEALs Lead and Win](https://www.amazon.com/Extreme-Ownership-U-S-Navy-SEALs/dp/1250067057)

<br>
<br>

## <a id="team-management"></a> 🧑‍💻 DevOps

### Kubernetes 

##### Quick reads and videos

_Please contribute your favorite resources here_

##### Deeper dive

- Kubernetes for Product Managers 
   - [Slides](https://docs.google.com/presentation/d/1rUlyq25xrULVdCYqW_TF-1L0fP1hpzqDxA7ciupc9is/edit#slide=id.p) 
   - [Video: Part 1](https://youtu.be/WboRFl5Ebdk)
   - [Video: Part 2](https://youtu.be/9aC1EZF_zy4)
   - [Video: Part 3](https://youtu.be/uye3PhRhXr4)

##### Online courses 

_Please contribute your favorite resources here_

##### Books

_Please contribute your favorite resources here_

<br>
<br>

## Product management thought leadership

### Blogs, videos and podcasts and more...

There is a lot of amazing content and ongoing trends in the world of product development. Subscribing to blogs, video channels and other ongoing content streams is a great way to get inspiration on best practices and product innvoation with your team. Here are some recommendations on where to start:

#### Blogs

- [https://svpg.com/articles/](https://svpg.com/articles/)
- [https://www.intercom.com/blog/product-and-design/](https://www.intercom.com/blog/product-and-design/)
- [https://producthabits.com/blog/](https://producthabits.com/blog/)
- [https://www.mindtheproduct.com/](https://www.mindtheproduct.com/)
- [https://cutlefish.substack.com/](https://cutlefish.substack.com/)

#### Podcasts

- [Mind the Product](https://www.mindtheproduct.com/the-product-experience/)
- [Masters of Scale](https://open.spotify.com/show/1bJRgaFZHuzifad4IAApFR)  
- [Dollars to Donuts](https://open.spotify.com/show/26yTpSSgqzR58wdlFTEvis?si=FU8B_7sxQluT78PepGecGA&nd=1)  
- [Presentable](https://open.spotify.com/show/2HMGa6BesR174n8NP28VEu?si=5tSm84pmTvKhOD4313Ir8Q&nd=1)  

#### Newsletters

- [Mind the Product Newsletter](https://www.mindtheproduct.com/product-management-newsletter/)

#### Other

- [Mind the Product Slack channel](https://www.mindtheproduct.com/product-management-slack-community/)
- [GitLab team member Viktor Nagy on Twitter](https://twitter.com/nagyviktor)
- [Product League](https://productleague.com/)
- [Product School](https://www.youtube.com/channel/UC6hlQ0x6kPbAGjYkoz53cvA/featured) (YouTube Channel)
- [Women In Product](https://www.youtube.com/channel/UC6z_ibVMdKbKFfgb3mxwx9g/videos?view=0&sort=p) (YouTube Channel)


### Thought leaders and influencers

One of the best ways to stay in the know is to follow people! There are a lot of folks openly sharing their ideas and best practices. We encourage you to follow and exchange ideas with people who inspire you. Here are some recommendations on where to start:

- [Jackie Bavaro](https://twitter.com/jackiebo)
- [Marty Cagan](https://twitter.com/cagan)
- [John Cutler](https://twitter.com/johncutlefish)
- [Ken Norton](https://twitter.com/kennethn)
- [Jeff Patton](https://twitter.com/jeffpatton)
- [Roman Pichler](https://twitter.com/johncutlefish)

# How to contribute to the Product L & D Hub

Keeping our Product L & D Hub robust and relevant is a team effort. We encourage to you to contribute as you come across resources that are helpful to you. And if there are resources in the Product L & D Hub that are outdated or you disagree with, we encourage you to bring it to our attention as well.

There are two components to the Product L & D hub:

1. [GitLab Learn for Product Management](https://gitlab.edcast.com/channel/gitlab-product-team-learning-hub), which is a  more modular, personalizable, and trackable portal
1. This page, which serves as the required content library that feeds GitLab Learn for Product Management

In order to add content to  [GitLab Learn for Product Management](https://gitlab.edcast.com/channel/gitlab-product-team-learning-hub), the content must first be added to and exist on this page. Then, the content is added to GitLab Learn by [learning evangelists and curators](https://about.gitlab.com/handbook/people-group/learning-and-development/gitlab-learn/contribute/team-member-contributions/#contributing-to-gitlab-learn-as-a-team-member). 

If there’s content you want to add to or remove from this library, simply raise an MR and add any of the [product learning evangelists](#product-learning-evangelists) listed below as `Reviewer`. Tell us in the MR whether you're recommending the resources for just the library or if you'd like to see it added to GitLab Learn for Product Management as well. Details explaining what you value about the content and how you think it's helpful should be added to the description of the MR. Please add `milestone` and labels `product operations` `product handbook` and `prodops:release` to the MR.

## Product learning evangelists

[Michael Karampalas](https://gitlab.com/mkarampalas)

[Viktor Nagy](https://gitlab.com/nagyv-gitlab)

[Farnoosh Seifoddini](https://gitlab.com/fseifoddini)

[Brian Rhea](https://gitlab.com/brhea)
